Uploaded image for project: 'Couchbase Go SDK'
  1. Couchbase Go SDK
  2. GOCBC-134

cannot build with current gopkg.in

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 1.1.2
    • Fix Version/s: 1.1.3
    • Component/s: library
    • Labels:
      None

      Description

      As of this filing:
      $ go get gopkg.in/couchbaselabs/gocb.v1

      1. gopkg.in/couchbaselabs/gocb.v1
        ../../../opt/gocode/src/gopkg.in/couchbaselabs/gocb.v1/bucket_internal.go:64: not enough arguments in call to b.client.SetMeta
        ../../../opt/gocode/src/gopkg.in/couchbaselabs/gocb.v1/bucket_internal.go:71: not enough arguments in call to b.client.DeleteMeta

      A user (@ChurroLoco) reported this in the gitter.im channel. Since this is the only way we document installation (http://developer.couchbase.com/documentation/server/4.5/sdk/go/start-using-sdk.html), we'd best treat it as a critical issue and update right away.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

          Hide
          brett19 Brett Lawson added a comment -

          This is caused by the fact that the gocb package imports `github.com/couchbase/gocb/gocbcore`. This means when you install via gopkg, it installs the specific version of gocb, but then grabs master of gocbcore (Go is annoying >_<).

          Show
          brett19 Brett Lawson added a comment - This is caused by the fact that the gocb package imports `github.com/couchbase/gocb/gocbcore`. This means when you install via gopkg, it installs the specific version of gocb, but then grabs master of gocbcore (Go is annoying >_<).

            People

            • Assignee:
              brett19 Brett Lawson
              Reporter:
              ingenthr Matt Ingenthron
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.